## net.i2p.router.tunnel
Class InboundSender

    java.lang.Object
      net.i2p.router.tunnel.InboundSender

All Implemented Interfaces:
  TunnelGateway.Sender

    public class InboundSender

extends Object
implements TunnelGateway.Sender

Receive the preprocessed data for an inbound gateway, encrypt it, and forward it on to the first hop.

Field Summary
`(package private) static boolean` `USE_ENCRYPTION`

Constructor Summary
`InboundSender(I2PAppContext ctx, HopConfig config)`

Method Summary
`long` `sendPreprocessed(byte[] preprocessed, TunnelGateway.Receiver receiver)` Take the preprocessed data containing zero or more fragments, encrypt it, and pass it on to the receiver

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### USE_ENCRYPTION

    static final boolean USE_ENCRYPTION

See Also:
  Constant Field Values

Constructor Detail

### InboundSender

    public InboundSender(I2PAppContext ctx,
                         HopConfig config)

Method Detail

### sendPreprocessed

    public long sendPreprocessed(byte[] preprocessed,
                                 TunnelGateway.Receiver receiver)

  Description copied from interface: `TunnelGateway.Sender`
  Take the preprocessed data containing zero or more fragments, encrypt it, and pass it on to the receiver

  Specified by:
    `sendPreprocessed` in interface `TunnelGateway.Sender`
  Parameters:
    `preprocessed` - IV + (rand padding) + 0x0 + Hash[0:3] + {instruction+fragment}*
  Returns:
    message ID it was sent in, or -1 if it was deferred